Package org.apache.calcite.avatica.remote

## Class Service.PrepareAndExecuteRequest

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Request
    - - org.apache.calcite.avatica.remote.Service.PrepareAndExecuteRequest

Enclosing interface:
  Service

    public static class Service.PrepareAndExecuteRequest
    extends Service.Request

Request for `Meta.prepareAndExecute(Meta.StatementHandle, String, long, int, Meta.PrepareCallback)`.

### Field Summary

Fields
`private static com.google.protobuf.Descriptors.FieldDescriptor` `CONNECTION_ID_DESCRIPTOR`
`java.lang.String` `connectionId`
`private static com.google.protobuf.Descriptors.FieldDescriptor` `FIRST_FRAME_MAX_SIZE_DESCRIPTOR`
`private static com.google.protobuf.Descriptors.FieldDescriptor` `MAX_ROWS_TOTAL_DESCRIPTOR`
`long` `maxRowCount`
`int` `maxRowsInFirstFrame`
`java.lang.String` `sql`
`private static com.google.protobuf.Descriptors.FieldDescriptor` `SQL_DESCRIPTOR`
`int` `statementId`

### Fields inherited from class org.apache.calcite.avatica.remote.Service.Base

`PRIME`

### Constructor Summary

Constructors
`PrepareAndExecuteRequest()`
`PrepareAndExecuteRequest​(java.lang.String connectionId, int statementId, java.lang.String sql, long maxRowCount)`
`PrepareAndExecuteRequest​(java.lang.String connectionId, int statementId, java.lang.String sql, long maxRowCount, int maxRowsInFirstFrame)`

### Method Summary

All Methods Instance Methods Concrete Methods
`(package private) Service.ExecuteResponse` `accept​(Service service)`
`(package private) Service.PrepareAndExecuteRequest` `deserialize​(com.google.protobuf.Message genericMsg)`
`boolean` `equals​(java.lang.Object o)`
`int` `hashCode()`
`(package private) Requests.PrepareAndExecuteRequest` `serialize()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONNECTION_ID_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor CONNECTION_ID_DESCRIPTOR

#### SQL_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor SQL_DESCRIPTOR

#### MAX_ROWS_TOTAL_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor MAX_ROWS_TOTAL_DESCRIPTOR

#### FIRST_FRAME_MAX_SIZE_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor FIRST_FRAME_MAX_SIZE_DESCRIPTOR

#### connectionId

    public final java.lang.String connectionId

#### sql

    public final java.lang.String sql

#### maxRowCount

    public final long maxRowCount

#### maxRowsInFirstFrame

    public final int maxRowsInFirstFrame

#### statementId

    public final int statementId

### Constructor Detail

#### PrepareAndExecuteRequest

    PrepareAndExecuteRequest()

#### PrepareAndExecuteRequest

    public PrepareAndExecuteRequest​(java.lang.String connectionId,
                                    int statementId,
                                    java.lang.String sql,
                                    long maxRowCount)

#### PrepareAndExecuteRequest

    public PrepareAndExecuteRequest​(java.lang.String connectionId,
                                    int statementId,
                                    java.lang.String sql,
                                    long maxRowCount,
                                    int maxRowsInFirstFrame)

### Method Detail

#### accept

    Service.ExecuteResponse accept​(Service service)

Specified by:
  `accept` in class `Service.Request`

#### deserialize

    Service.PrepareAndExecuteRequest deserialize​(com.google.protobuf.Message genericMsg)

Specified by:
  `deserialize` in class `Service.Request`

#### serialize

    Requests.PrepareAndExecuteRequest serialize()

Specified by:
  `serialize` in class `Service.Request`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`